=== data/projects/CMakeLists.txt ===
INCLUDE(InstallHelpers)

INSTALL_DATA_SUBDIRS("projects" "*.mmp")
INSTALL_DATA_SUBDIRS("projects" "*.mmpz")
