=== debian/changelog ===
lmms (0.4.10-2ubuntu1.1) precise-proposed; urgency=low

  * Backported changes from 13.04's packaging:
    - installed desktop file so that the program is noticeable to users
      (LP: #863366);
    - adjusted versioned dependency on -common so that package upgrades
      can succeed (LP: #1152807).

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 25 Apr 2013 11:16:48 -0400

lmms (0.4.10-2ubuntu1) precise; urgency=low

  * debian/control:
    - Build with wine1.4-dev (LP: #925127)
    - Remove manual wine dependency, obtain it via dh_shlibdeps
    - Remove wine and gcc-multilib build dependencies on amd64
      (package does not build with 64-bit only wine)
  * Merge from debian unstable.  Remaining changes:
    - Build with wine1.4-dev instead of libwine-dev
    - Remove manual wine dependency, obtain it via dh_shlibdeps
    - Remove wine and gcc-multilib build dependencies on amd64

 -- Scott Ritchie <scottritchie@ubuntu.com>  Sat, 25 Feb 2012 00:45:55 -0800

lmms (0.4.10-2) unstable; urgency=low

  * Removed build-dep on libestools2.0-dev (Closes: #614975)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Mar 2011 09:37:43 +0100

lmms (0.4.10-1ubuntu3) oneiric; urgency=low

  * Rebuild for fluidsynth 1.1.4 (LP: #821346)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 05 Aug 2011 17:00:23 +0200

lmms (0.4.10-1ubuntu2) natty; urgency=low

  * Replace obsolete wine-bin dependency with wine1.2 (LP: #696189).

 -- Артём Попов <artfwo@gmail.com>  Tue, 15 Feb 2011 20:29:59 +0600

lmms (0.4.10-1ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #718801).  Remaining changes:
    - Replace build-dep on libwine-dev with wine1.2-dev to build
      against the newer Wine.

 -- Артём Попов <artfwo@gmail.com>  Mon, 14 Feb 2011 20:58:36 +0600

lmms (0.4.10-1) unstable; urgency=low

  * Imported Upstream version 0.4.10
  * changed mode of patch
  * Add source/format with 3.0 (quilt) and rearrange source a bit
  * Bump standarts version to 3.9.1 - no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Feb 2011 20:03:06 +0100

lmms (0.4.7-2ubuntu2) natty; urgency=low

  * Rebuild, don't install libs in /usr/lib64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Jan 2011 12:17:01 +0100

lmms (0.4.7-2ubuntu1) natty; urgency=low

  * Re-sync with Debian (LP: #606533):
    - Replace build-dep on libwine-dev with libwine-dev-unstable to build
      against the newer Wine.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 12 Nov 2010 13:32:32 +0100

lmms (0.4.7-2) unstable; urgency=low
  
  [ Reinhard Tartler ]
  * Depend on wine only on i386 and amd64 (Closes: #590950)

  [ Patrick Winnertz ]
  * Uploading patch from siretart, thanks for helping.

 -- Patrick Winnertz <winnie@debian.org>  Mon, 02 Aug 2010 10:13:28 +0200

lmms (0.4.7-1) unstable; urgency=low

  * New upstream version

 -- Patrick Winnertz <winnie@debian.org>  Thu, 29 Jul 2010 16:24:00 +0200

lmms (0.4.6-2) unstable; urgency=low

  * Build-depend on libestools2.0-dev (Closes: #589882)

 -- Patrick Winnertz <winnie@debian.org>  Wed, 28 Jul 2010 11:55:16 +0200

lmms (0.4.6-1) unstable; urgency=low

  * New upstream version (Closes: #565733)
  * Bumped standards version to 3.8.3, no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Sun, 24 Jan 2010 16:40:39 +0100

lmms (0.4.5-1) unstable; urgency=low

  * New upstream version (Closes: #543645)
  * Fix FTBFS on amd64 (Closes: #540671 #543017)

 -- Patrick Winnertz <winnie@debian.org>  Fri, 11 Sep 2009 09:56:45 +0200

lmms (0.4.4-1) unstable; urgency=low

  * New upstream version (Closes: #511363)
  * Provide menu file (Closes: #514905)
    - The menufile is included in lmms-common and not in lmms 
      as it is not arch specific
  * Bumped standards version to 3.8.2 no further changes needed

 -- Patrick Winnertz <winnie@debian.org>  Wed, 05 Aug 2009 20:46:40 +0200

lmms (0.3.2-1) unstable; urgency=low

  * Decrease wine dependency to wine-bin as suggested. (Closes: #446163)
  * Acknowlegded NMU from Pierre Habouzit <madcoder@debian.org> in order to
    fix FTBFS with gcc-4.3 which (Closes: #462202)
  * Now including the singerbot plugin. (Closes: #443224)
  * Add patch to prevent lmms from crashing.

 -- Patrick Winnertz <winnie@debian.org>  Mon, 17 Mar 2008 10:56:12 +0100

lmms (0.3.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add g++-4.3.patch to fix g++-4.3 FTBFS (Closes: 462202).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 16 Mar 2008 23:21:56 +0000

lmms (0.3.1-1) unstable; urgency=low

  * Packaging new upstream release.
  * Install Upstream Changelog (Closes: #441477)
    Thanks to Felipe Sateler
  * Lowered the caps dependency to Recommends (Closes: #446163)
  * Added -i/-a to the build targets in rules in order to make sure that only
    (in)dep packages are build.
  * Changed my maintainer address
  * Added patch to remove stereo_enhancer plugin which has a ftbfs with gcc
    4.2.3
  * Added imagemagick as build-dep since we have to convert a .png to a .xpm
    via convert
  * Doesn't install upstreams menu file, since it's outdated.. instead use
    our own.
  * Standard-Version bump to 3.7.3
  * Remove Homepage field from Description and create a own Header
  * Added postinst and postrm for lmms-common to call update-menu if available
    (this has to be done manually, since we doesn't use dh_installmenu to install
    the menu file)

 -- Patrick Winnertz <winnie@debian.org>  Thu, 06 Dec 2007 07:08:04 +0100

lmms (0.3.0-1) unstable; urgency=low

  [ Tobias Doerffel ]
  * New upstream release. (Closes: #439301)
  * Removed patch from Thomas Girard as upstream merged changes

  [ Patrick Winnertz ]
  * Moved manpage into correct package (lmms)
  * Removed manuall installation of Upstream Changelog, thanks to the power of
    debhelper ;-)
  * FTBFS with gcc 4.2 is fixed by upstream (Closes: #383295)
  * lmms has now a proper menu entry (Closes: #383406)

