=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

debian/lmms.xpm: data/themes/default/icon.png
	convert -resize 32 $< $@


config.status: configure patch-stamp
	dh_testdir
	touch ./configure
	
build: build-stamp
build-stamp: patch-stamp config.status
	dh_testdir
	cmake . -DCMAKE_INSTALL_PREFIX=/usr
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log
	dh_clean 


install: build debian/lmms.xpm
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	install -D -m 644 debian/lmms.xpm debian/lmms-common/usr/share/pixmaps/lmms.xpm
	install -D -m 644 debian/menu debian/lmms-common/usr/share/menu/lmms
	dh_install --sourcedir=$(CURDIR)/debian/tmp
	dh_installdirs

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i 
	dh_testroot -i
	dh_installchangelogs -i 
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

patch: patch-stamp
patch-stamp:


patch: patch-stamp
patch-stamp:
	touch $@

unpatch:
	rm -rf debian/patched patch-stamp

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
