## lmms 0.4.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 SET(VERSION_MAJOR "0")
 SET(VERSION_MINOR "4")
-SET(VERSION_PATCH "10")
+SET(VERSION_PATCH "13")
 #SET(VERSION_SUFFIX "")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 IF(VERSION_SUFFIX)
@@ -322,7 +322,7 @@
 
 # check for libsamplerate
 IF(WANT_SYSTEM_SR)
-	PKG_CHECK_MODULES(SAMPLERATE samplerate>=0.1.7)
+	PKG_CHECK_MODULES(SAMPLERATE samplerate>=0.1.8)
 	IF(SAMPLERATE_FOUND)
 		SET(LMMS_HAVE_SAMPLERATE TRUE)
 	ENDIF(SAMPLERATE_FOUND)
