=== plugins/ladspa_effect/swh/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ENDIF(LMMS_HAVE_FFTW3F)
 INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR})
 
-FILE(GLOB PLUGIN_SOURCES *.c)
+FILE(GLOB PLUGIN_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/*.c)
 FOREACH(_item ${PLUGIN_SOURCES})
 	GET_FILENAME_COMPONENT(_plugin "${_item}" NAME_WE)
 	IF(NOT "${_plugin}" STREQUAL "mbeq_1197" OR LMMS_HAVE_FFTW3F)
@@ -32,3 +32,41 @@
 	ENDIF(NOT "${_plugin}" STREQUAL "mbeq_1197" OR LMMS_HAVE_FFTW3F)
 ENDFOREACH(_item ${PLUGIN_SOURCES})
 
+
+ADD_LIBRARY(iir STATIC util/iir.c)
+SET_TARGET_PROPERTIES(iir PROPERTIES COMPILE_FLAGS "-fPIC")
+TARGET_LINK_LIBRARIES(bandpass_a_iir_1893 iir)
+TARGET_LINK_LIBRARIES(bandpass_iir_1892 iir)
+TARGET_LINK_LIBRARIES(butterworth_1902 iir)
+TARGET_LINK_LIBRARIES(highpass_iir_1890 iir)
+TARGET_LINK_LIBRARIES(lowpass_iir_1891 iir)
+TARGET_LINK_LIBRARIES(notch_iir_1894 iir)
+
+FILE(GLOB GSM_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/gsm/*.c)
+ADD_LIBRARY(gsm STATIC ${GSM_SOURCES})
+SET_TARGET_PROPERTIES(gsm PROPERTIES COMPILE_FLAGS "-fPIC")
+TARGET_LINK_LIBRARIES(gsm_1215 gsm)
+
+ADD_LIBRARY(gverb STATIC gverb/gverb.c gverb/gverbdsp.c)
+SET_TARGET_PROPERTIES(gverb PROPERTIES COMPILE_FLAGS "-fPIC")
+TARGET_LINK_LIBRARIES(gverb_1216 gverb)
+
+ADD_LIBRARY(blo STATIC util/blo.c)
+SET_TARGET_PROPERTIES(blo PROPERTIES COMPILE_FLAGS "-fPIC")
+TARGET_LINK_LIBRARIES(hermes_filter_1200 blo)
+
+ADD_LIBRARY(rms STATIC util/rms.c)
+ADD_LIBRARY(db STATIC util/db.c)
+SET_TARGET_PROPERTIES(rms PROPERTIES COMPILE_FLAGS "-fPIC")
+SET_TARGET_PROPERTIES(db PROPERTIES COMPILE_FLAGS "-fPIC")
+TARGET_LINK_LIBRARIES(sc1_1425 rms db)
+TARGET_LINK_LIBRARIES(sc2_1426 rms db)
+TARGET_LINK_LIBRARIES(sc3_1427 rms db)
+TARGET_LINK_LIBRARIES(sc4_1882 rms db)
+TARGET_LINK_LIBRARIES(sc4m_1916 rms db)
+TARGET_LINK_LIBRARIES(se4_1883 rms db)
+
+ADD_LIBRARY(pitchscale STATIC util/pitchscale.c)
+SET_TARGET_PROPERTIES(pitchscale PROPERTIES COMPILE_FLAGS "-fPIC")
+TARGET_LINK_LIBRARIES(pitch_scale_1193 pitchscale)
+TARGET_LINK_LIBRARIES(pitch_scale_1194 pitchscale)
