=== debian/changelog ===
lmms (0.4.13-0ubuntu1) raring; urgency=low

  * New  Upstream release.
    - Minor tweaking to ZynAddSubFX, CALF, SWH plugins  and Stefan Fendt's RC
      filters.
    - Added UI fixes: Magnentic effect of knobs and Piano-roll fixes
    - Updated German localization and copyright year
  * debian/lmms-common.install:
    - added /usr/share/applications so the lmms.desktop file will correctly
      install (LP: #863366)
    - This should also fix the Software Center not displaying lmms in sound
      and video (LP: #824231)

 -- Israel Dahl <israeldahl@gmail.com>  Tue, 04 Dec 2012 06:36:06 -0600

lmms (0.4.10-2.3ubuntu1) quantal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build with wine1.4-dev (LP: #925127)
    - Remove manual wine dependency, obtain it via dh_shlibdeps
    - Remove wine and gcc-multilib build dependencies on amd64
      (package does not build with 64-bit only wine)

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 01 Oct 2012 20:30:17 +0200

lmms (0.4.10-2.3) unstable; urgency=low

  * Non maintainer upload.
  * Remove wine-related dependencies on amd64, thereby disabling building
    VST plugin. (Closes: #676760)

 -- Hilko Bengen <bengen@debian.org>  Wed, 27 Jun 2012 23:14:40 +0200

lmms (0.4.10-2.2) unstable; urgency=low

  * Non maintainer upload.
  * Fix build failure with GCC 4.7. Closes: #667265.
  * Turn on verbose build.

 -- Matthias Klose <doko@debian.org>  Tue, 17 Apr 2012 14:08:53 +0200

lmms (0.4.10-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS on GNU/kFreeBSD. Thanks Pino Toscano.  (Closes: #641064)

 -- Robert Millan <rmh@debian.org>  Fri, 27 Apr 2012 22:55:55 +0200
