=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Patrick Winnertz <winnie@debian.org>
-Build-Depends: debhelper (>= 5.0.0), libsdl-sound1.2-dev, libsamplerate0-dev, libsndfile1-dev, libvorbis-dev, libjack-dev, libstk0-dev, ladspa-sdk, libflac-dev, wine1.4-dev [i386], libasound2-dev, festival-dev, imagemagick, cmake, qt4-qmake, libqt4-dev, libpulse-dev, libfluidsynth-dev, libfftw3-dev, libfreetype6-dev, libxft-dev, portaudio19-dev, libxinerama-dev
+Build-Depends: debhelper (>= 5.0.0), libsdl-sound1.2-dev, libsamplerate0-dev, libsndfile1-dev, libvorbis-dev, libjack-dev, libstk0-dev, ladspa-sdk, libflac-dev, wine1.4-dev [i386], libasound2-dev [linux-any], festival-dev, imagemagick, cmake, qt4-qmake, libqt4-dev, libpulse-dev, libfluidsynth-dev, libfftw3-dev, libfreetype6-dev, libxft-dev, portaudio19-dev, libxinerama-dev
 Standards-Version: 3.9.1
 Homepage: http://lmms.sf.net/
 
 Package: lmms
 Architecture: any
-Depends: lmms-common (>= ${source:Version}) , ${shlibs:Depends}, ${misc:Depends}, stk
+Depends: lmms-common (= ${source:Version}) , ${shlibs:Depends}, ${misc:Depends}, stk
 Recommends: tap-plugins, caps
 Suggests: fil-plugins, mcp-plugins, omins, vcf, freepats
 Description: Linux Multimedia Studio
