=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
+DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+
+EXTRA_CMAKE_ARGS :=
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+	EXTRA_CMAKE_ARGS += -DWANT_ALSA:BOOL=OFF
+endif
 
 
 CFLAGS = -Wall -g
@@ -25,7 +32,7 @@
 build: build-stamp
 build-stamp: patch-stamp config.status
 	dh_testdir
-	cmake . -DCMAKE_INSTALL_PREFIX=/usr
+	cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_VERBOSE_MAKEFILE=1 $(EXTRA_CMAKE_ARGS)
 	touch build-stamp
 
 clean: unpatch
