=== debian/watch ===
version=3
http://sf.net/lmms/lmms-(.*)\.tar\.bz2
