## lmms 0.4.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,8 @@
 
 SET(VERSION_MAJOR "0")
 SET(VERSION_MINOR "4")
-SET(VERSION_PATCH "13")
-#SET(VERSION_SUFFIX "")
+SET(VERSION_PATCH "14")
+SET(VERSION_SUFFIX "rc1")
 SET(VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
 IF(VERSION_SUFFIX)
 	SET(VERSION "${VERSION}-${VERSION_SUFFIX}")
@@ -30,7 +30,6 @@
 OPTION(WANT_CALF	"Include CALF LADSPA plugins" ON)
 OPTION(WANT_CAPS	"Include C* Audio Plugin Suite (LADSPA plugins)" ON)
 OPTION(WANT_CMT		"Include Computer Music Toolkit LADSPA plugins" ON)
-OPTION(WANT_FFTW3F	"Include SpectrumAnalyzer and ZynAddSubFX plugin" ON)
 OPTION(WANT_JACK	"Include JACK (Jack Audio Connection Kit) support" ON)
 OPTION(WANT_OGGVORBIS	"Include OGG/Vorbis support" ON)
 OPTION(WANT_PULSEAUDIO	"Include PulseAudio support" ON)
@@ -261,16 +260,7 @@
 
 
 # check for FFTW3F-library
-IF(WANT_FFTW3F)
-	PKG_CHECK_MODULES(FFTW3F fftw3f>=3.0.0)
-	IF(FFTW3F_FOUND)
-		SET(LMMS_HAVE_FFTW3F TRUE)
-		SET(STATUS_FFTW3F "OK")
-	ELSE(FFTW3F_FOUND)
-		SET(STATUS_FFTW3F "not found, libfftw3-dev (or similiar) "
-			"is highly recommended")
-	ENDIF(FFTW3F_FOUND)
-ENDIF(WANT_FFTW3F)
+PKG_CHECK_MODULES(FFTW3F REQUIRED fftw3f>=3.0.0)
 
 
 # check for Fluidsynth
@@ -366,3 +356,15 @@
 
 FILE(GLOB lmms_INCLUDES ${CMAKE_SOURCE_DIR}/include/*.h)
 FILE(GLOB lmms_UI ${CMAKE_SOURCE_DIR}/src/gui/dialogs/*.ui ${CMAKE_SOURCE_DIR}/src/gui/Forms/*.ui)
+FILE(GLOB_RECURSE lmms_SOURCES ${CMAKE_SOURCE_DIR}/src/*.cpp)
+
+SET(lmms_MOC ${lmms_INCLUDES})
+
+SET(lmms_EMBEDDED_RESOURCES ${CMAKE_SOURCE_DIR}/AUTHORS ${CMAKE_SOURCE_DIR}/COPYING)
+
+QT4_WRAP_CPP(lmms_MOC_out ${lmms_MOC} OPTIONS -nw)
+QT4_WRAP_UI(lmms_UI_out ${lmms_UI})
+
+
+# embedded resources stuff
+IF(WIN32 OR WIN64)
