=== debian/changelog ===
lmms (0.4.14-0ubuntu3) raring; urgency=low

  * Make lmms depend on lmms-common (>= ${source:Version}) instead of 
    only = to fix (LP: #1152807)

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 10 Mar 2013 15:21:43 +0800

lmms (0.4.14-0ubuntu2) raring; urgency=low

  * Readded lib64-builddir.patch to fix FTBFS on amd64.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 06 Mar 2013 13:01:25 -0500

lmms (0.4.14-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Graphically enhanced AudioFileProcessor plugin
    - Fixed bug with magnetic knobs
    - Fixed various crashes
    - Completely revised VST support (improved VST effect support,
    timesync support and many more)
    - Added multitrack export
    - Added Hydrogen song import plugin
    - Fixed wrong chords
    - Improvements to automation framework
  * debian/lmms.install debian/lmms-common.install
    - moved /usr/share/applications to lmms.install
  * debian/control
    - updated Standards-Version to 3.9.4
  * debian/copyright
    - updated to make current
  * debian/rules
    - fixed Lintian errors during build

 -- Israel Dahl <israeldahl@gmail.com>  Thu, 28 Feb 2013 20:58:18 -0600
